{% extends 'Default/backend.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  {% if calendar.type == constant('App\\Entity\\Calendar::TYPE_TIME_FIXED') %}
    {{ encore_entry_link_tags('fullcalendar-manager') }}
  {% elseif calendar.type == constant('\\App\\Entity\\Calendar::TYPE_TIME_VARIABLE') %}
    {{ encore_entry_link_tags('fullcalendar-dynamic-manager') }}
  {% endif %}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {% if calendar.type == constant('\\App\\Entity\\Calendar::TYPE_TIME_FIXED') %}
    {{ encore_entry_script_tags('fullcalendar-manager') }}
  {% elseif calendar.type == constant('\\App\\Entity\\Calendar::TYPE_TIME_VARIABLE') %}
    {{ encore_entry_script_tags('fullcalendar-dynamic-manager') }}
  {% endif %}
{% endblock %}

{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h1>
          {{ calendar.title }}
          <button type="button" class="btn btn-link p-0" data-toggle="modal" data-target="#calendar-detail-modal">
            <svg class="icon icon-primary">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-info-circle"></use>
            </svg>
          </button>
        </h1>
      </div>
    </div>
  </section>
  {{ include('Calendars/parts/tabs.twig') }}
  <div class="container px-4 my-4">
    {{ include('Calendars/parts/lastModified.html.twig') }}
    {{ include('Calendars/parts/action_buttons.twig') }}
  </div>

  <div class="detail-modal">
    <div class="modal" tabindex="-1" role="dialog" id="calendar-detail-modal" aria-labelledby="calendar-detail-title">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="calendar-detail-title">{{ 'calendars.detail' | trans }}</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <svg class="icon">
                <use href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
              </svg>
            </button>
          </div>
          <div class="modal-body">
            {{ include('Calendars/parts/showDetails.html.twig') }}
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary btn-sm" type="button" data-dismiss="modal">{{ 'close'|trans }}</button>
          </div>
        </div>
      </div>
    </div>
  </div>

{% endblock %}
